Retrieve Journal Details for Financial Consolidation and Close

Returns the journal details for the given scenario, year, period, consolidation, and the journal name.

This API works only for Financial Consolidation and Close.

REST Resource

GET /HyperionPlanning/rest/{api_version}/applications/{application}/journals/{journal label}?q={"scenario":"Actual","year":"FY16","period":"Jan","consolidation":"Entity Input"}&lineItems=true

Required Roles

Service Administrator

Respective Consolidation Journals role (Submit/Approve/Post/Unpost) for specified Journal Label

Request

Supported Media Types: application/json

The following table summarizes the client request.

Table 6-33 Parameters

Name Description Type Required Default
api_version Version of the API you are developing with Path Yes None
application The name of the application Path Yes None
journal label The label of the journal for which to retrieve journal details Path Yes None
q Filters to retrieve the journal, for example:
q={"scenario":"Actual","year":"FY16","period":"Jan","consolidation":"Entity Input"}
Query Yes None
scenario Scenario member name or alias. Query Yes None
year Year member name or alias. Query Yes None
period Period member name or alias. Query Yes None
consolidation Consolidation member name or alias. Query No Entity Input
cube Cube containing the journal. Query No Consol
lineItems Indicates whether to include journal line items. Valid values: true and false. Query No False

Sample Request

GET /HyperionPlanning/rest/v3/applications/FCCS/journals/January%20Adjustment?q={
  "scenario": "Actual",
  "year": "FY26",
  "period": "January",
  "consolidation": "Entity Input",
  "cube": "Consol"
}&lineItems=true

Note:

You can specify a member name or alias for scenario, year, period, and consolidation. The API resolves the alias before retrieving the journal.

Response

Parameters

The following table summarizes the response parameters.

Table 6-34 Parameters

Name Description
scenario, year, period, consolidation Journal POV member values
view Journal view member
label Journal label
balanceType Journal balancing status
status Current journal status
description Journal description
group Journal group
createdBy, modifiedBy, postedBy, createdOn Journal audit information.
currency Journal currency
dataSource Journal data source
planType Cube containing the journal
totCredit, totDebit Formatted journal totals returned as strings
journalType Journal type, such as Regular
journalLineItems Included only when lineItems=true
journalLineItems[].amount The formatted amount is returned as a string
journalLineItems[].description Line-item description. This replaces descritption.

Supported Media Types: application/json

Example of Response Body

The following shows an example of the response body.

{
  "scenario": "Actual",
  "year": "FY26",
  "period": "January",
  "view": "FCCS_Periodic",
  "label": "January Adjustment",
  "journalType": "Regular",
  "balanceType": "Balanced",
  "status": "Posted",
  "description": "January adjustment",
  "group": "Close Journals",
  "createdBy": "epm_default_cloud_admin",
  "modifiedBy": "epm_default_cloud_admin",
  "postedBy": "epm_default_cloud_admin",
  "createdOn": "2026-08-01 10:30:00.000",
  "currency": "USD",
  "consolidation": "FCCS_Entity Input",
  "dataSource": "FCCS_Journal Input",
  "planType": "Consol",
  "totCredit": "1,300.00",
  "totDebit": "1,300.00",
  "journalLineItems": [
    {
      "amountType": "Debit",
      "amount": "800.00",
      "description": "Accrual adjustment",
      "entity": "US_Entity",
      "account": "Sales"
    }
  ]
}